Bug 839185 - (CVE-2012-2837) CVE-2012-2837 libexif: "mnote_olympus_entry_get_value()" division by zero
CVE-2012-2837 libexif: "mnote_olympus_entry_get_value()" division by zero
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120712,reported=2...
: Security
Depends On: 839913 839914 839915 839916 839917
Blocks: 839036
  Show dependency treegraph
 
Reported: 2012-07-11 03:36 EDT by Stefan Cornelius
Modified: 2015-11-24 10:06 EST (History)
3 users (show)

See Also:
Fixed In Version: libexif 0.6.21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-08 14:28:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Cornelius 2012-07-11 03:36:16 EDT
A divide-by-zero error in the mnote_olympus_entry_get_value function while formatting EXIF maker note tags in libexif 0.6.20 and earlier allows remote attackers to cause a denial of service via an image with crafted EXIF tags.
Comment 3 Stefan Cornelius 2012-07-13 04:17:15 EDT
Created libexif tracking bugs for this issue

Affects: fedora-all [bug 839917]
Comment 5 Stefan Cornelius 2012-08-10 04:52:24 EDT
Upstream advisory:
http://sourceforge.net/mailarchive/message.php?msg_id=29534027
Comment 6 Murray McAllister 2012-08-22 02:49:22 EDT
Acknowledgements:

Red Hat would like to thank Dan Fandrich for reporting this issue. Upstream acknowledges Yunho Kim as the original reporter.
Comment 7 errata-xmlrpc 2012-09-11 14:16:56 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2012:1255 https://rhn.redhat.com/errata/RHSA-2012-1255.html
Comment 8 Fedora Update System 2013-02-07 21:14:09 EST
libexif-0.6.21-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-02-07 21:34:29 EST
libexif-0.6.21-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.